Subject: Re: next-20080808: bash: fork: Resource temporarily unavailable

From: David Howells <[email-masked]>
Date: Sat, 09 Aug 2008 13:52:07 +0100

Thomas Meyer <[email-masked]> wrote:

> > > Beginning with next-20080808 after letting the system run for 5 minutes
> > > or so, I get an error from the fork call, e.g.:
> > > 
> > > "bash: fork: Resource temporarily unavailable"

I modified your config slightly so that it'd run on my testbox (x86_64
unfortunately), but that survived LTP and seemed to work okay.  I'll have to
snag an i386 installation from somewhere, unless James can do me a favour and
test it on his, if he has one.

Can you try this please:

	cat /proc/slabinfo  | cut -d: -f1 | sort -k 2 -n

Just to check to see if there's a memory leak.

Interestingly, I notice that SLUB's /proc/slabinfo appears to be broken.  It's
missing a number of slab caches from the list.

David